> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.jambonz.org/reference/rest-platform-management/speech/update-speech-credential-by-account/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server. # update a speech credential PUT https://api.jambonz.cloud/v1/Accounts/{AccountSid}/SpeechCredentials/{SpeechCredentialSid} Content-Type: application/json Reference: https://docs.jambonz.org/reference/rest-platform-management/speech/update-speech-credential-by-account ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `AccountSid` (string, required) - `SpeechCredentialSid` (string, required) ### Body (application/json) This endpoint expects a SpeechCredentialUpdate. - `use_for_tts` (boolean, optional) - `use_for_stt` (boolean, optional) ## Response ### 204 credential successfully deleted ## Errors ### 404 Not Found Error credential not found - `any` ### 422 Unprocessable Entity Error credential not found - `msg` (string, required) ## Examples **Request** ```json { "use_for_tts": true, "use_for_stt": false } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid" payload = { "use_for_tts": True, "use_for_stt": False } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"use_for_tts":true,"use_for_stt":false}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid" payload := strings.NewReader("{\n \"use_for_tts\": true,\n \"use_for_stt\": false\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"use_for_tts\": true,\n \"use_for_stt\": false\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"use_for_tts\": true,\n \"use_for_stt\": false\n}") .asString(); ``` ```php request('PUT', 'https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid', [ 'body' => '{ "use_for_tts": true, "use_for_stt": false }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"use_for_tts\": true,\n \"use_for_stt\": false\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "use_for_tts": true, "use_for_stt": false ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/Accounts/AccountSid/SpeechCredentials/SpeechCredentialSid")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```